<template>
  <div id="app">
    <router-view name="header" />
    <router-view name="body" />
  </div>
</template>

<script lang="ts">
import Vue from "vue";
import Component from "vue-class-component";
import { Action } from "vuex-class";
import { AuthState, UpdateState } from "./store/auth/types";

const namespace: string = "auth";
@Component({
  name: "App"
})
export default class App extends Vue {
  @Action("fetchUser", { namespace }) fetchUser!: any;

  mounted() {
    this.fetchUser();
  }
}
</script>




<style lang="scss">
@import "https://use.fontawesome.com/releases/v5.8.1/css/all.css";
@import "https://fonts.googleapis.com/css?family=Roboto:300,400,700";
@import "@scss/_app.scss";

* {
  font-family: "Roboto", sans-serif !important;
}
</style>
